package nccloud.web.hrwa.wagrade.vo;

import nc.vo.wa.grade.AggWaGradeVO;
import nc.vo.wa.grade.WaPrmlvVO;
import nc.vo.wa.grade.WaPsnhiVO;
import nc.vo.wa.grade.WaSeclvVO;

public class WaGradeSaveCommonProp {
	private int PSNHIPRMLVTYPE = 1;
	private int PSNHISECLVTYPE = 2;
	private boolean isMultOld;// 原多档标识
	private boolean isRangeOld;// 原宽带标识
	private boolean isMultNew;// 现多档标识
	private boolean isRangeNew;// 现宽带标识
	private boolean isWaPsnhiChange;// 级别人员属性是否发生变化
	private boolean isWaPsnhiSevChange;// 档别人员属性是否发生变化
	private boolean isPrmlvAddOrDel;// 级别数据是否增加或者删除
	private boolean isSeclvAddOrDel;// 档别数据是否增加或者删除
	private WaPrmlvVO[] waPrmlvVOArrOld = null;// 获取复制前薪资标准级别数组，用户复制后续操作
	private WaSeclvVO[] waSeclvVOArrOld = null;// 获取复制前薪资标准档别数组，用户复制后续操作
	private WaPsnhiVO[] waPsnhiVOArrOld = null;// 获取复制前薪资标准人员属性数组，用户复制后续操作
	private WaPsnhiVO[] psnhiVOs=null;
	private AggWaGradeVO aggVO=null;

	public int getPSNHIPRMLVTYPE() {
		return PSNHIPRMLVTYPE;
	}

	public int getPSNHISECLVTYPE() {
		return PSNHISECLVTYPE;
	}

	public boolean isMultOld() {
		return isMultOld;
	}

	public void setMultOld(boolean isMultOld) {
		this.isMultOld = isMultOld;
	}

	public boolean isRangeOld() {
		return isRangeOld;
	}

	public void setRangeOld(boolean isRangeOld) {
		this.isRangeOld = isRangeOld;
	}

	public boolean isMultNew() {
		return isMultNew;
	}

	public void setMultNew(boolean isMultNew) {
		this.isMultNew = isMultNew;
	}

	public boolean isRangeNew() {
		return isRangeNew;
	}

	public void setRangeNew(boolean isRangeNew) {
		this.isRangeNew = isRangeNew;
	}

	public boolean isWaPsnhiChange() {
		return isWaPsnhiChange;
	}

	public void setWaPsnhiChange(boolean isWaPsnhiChange) {
		this.isWaPsnhiChange = isWaPsnhiChange;
	}

	public boolean isWaPsnhiSevChange() {
		return isWaPsnhiSevChange;
	}

	public void setWaPsnhiSevChange(boolean isWaPsnhiSevChange) {
		this.isWaPsnhiSevChange = isWaPsnhiSevChange;
	}

	public boolean isPrmlvAddOrDel() {
		return isPrmlvAddOrDel;
	}

	public void setPrmlvAddOrDel(boolean isPrmlvAddOrDel) {
		this.isPrmlvAddOrDel = isPrmlvAddOrDel;
	}

	public boolean isSeclvAddOrDel() {
		return isSeclvAddOrDel;
	}

	public void setSeclvAddOrDel(boolean isSeclvAddOrDel) {
		this.isSeclvAddOrDel = isSeclvAddOrDel;
	}

	public WaPrmlvVO[] getWaPrmlvVOArrOld() {
		return waPrmlvVOArrOld;
	}

	public void setWaPrmlvVOArrOld(WaPrmlvVO[] waPrmlvVOArrOld) {
		this.waPrmlvVOArrOld = waPrmlvVOArrOld;
	}

	public WaSeclvVO[] getWaSeclvVOArrOld() {
		return waSeclvVOArrOld;
	}

	public void setWaSeclvVOArrOld(WaSeclvVO[] waSeclvVOArrOld) {
		this.waSeclvVOArrOld = waSeclvVOArrOld;
	}

	public WaPsnhiVO[] getWaPsnhiVOArrOld() {
		return waPsnhiVOArrOld;
	}

	public void setWaPsnhiVOArrOld(WaPsnhiVO[] waPsnhiVOArrOld) {
		this.waPsnhiVOArrOld = waPsnhiVOArrOld;
	}

	public WaPsnhiVO[] getPsnhiVOs() {
		return psnhiVOs;
	}

	public void setPsnhiVOs(WaPsnhiVO[] psnhiVOs) {
		this.psnhiVOs = psnhiVOs;
	}

	public AggWaGradeVO getAggVO() {
		return aggVO;
	}

	public void setAggVO(AggWaGradeVO aggVO) {
		this.aggVO = aggVO;
	}
}
